Subject: Gnu-win32 mailing list archives: Re: bash window banner
From: [email-masked] (Judd Rogers)

23 Aug 1997 09:13:04 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: multipart/mixed; boundary="------------24774DEC9AF04FC2F23C653F"
X-Mailer: Mozilla 4.01 [en] (WinNT; I)
Original-To: [email-masked]
X-Priority: 3 (Normal)
Original-Sender: [email-masked]

This is a multi-part message in MIME format.
--------------24774DEC9AF04FC2F23C653F
Content-Type: text/plain; charset=us-ascii
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
Content-Transfer-Encoding: 7bit

Is there a way, on winNT, to get bash to set the title/banner?

Like Tom (see note attached) I like to set the title to $PWD.

http://www.cygnus.com/ml/gnu-win32/1997-Aug/0038.html

--------------24774DEC9AF04FC2F23C653F
Content-Type: text/html; charset=us-ascii; name="0038.html"
Content-Transfer-Encoding: 7bit
Content-Disposition: inline; filename="0038.html"
Content-Base: "http://www.cygnus.com/ml/gnu-win32/199
	7-Aug/0038.html"

<!-- received="Sat Aug  2 22:28:10 1997 PDT" -->
<!-- sent="Sun, 3 Aug 1997 04:56:57 GMT" -->
<!-- name="Chris Faylor" -->
<!-- email="[email-masked]" -->
<!-- subject="Re: bash window banner" -->
<!-- id="[email-masked]" -->
<!-- inreplyto="bash window banner" -->
<title>Gnu-win32 mailing list archives: Re: bash window banner</title>
<h1>Re: bash window banner</h1>
Chris Faylor (<i>[email-masked]</i>)<br>
<i>Sun, 3 Aug 1997 04:56:57 GMT</i>
<p>
<ul>
<li> <b>Messages sorted by:</b> <a href="date.html#38">[ date ]</a><a href="index.html#38">[ thread ]</a><a href="subject.html#38">[ subject ]</a><a href="author.html#38">[ author ]</a>
<!-- next="start" -->
<li> <b>Next message:</b> <a href="0039.html">PACT Group: "Question about X11R6.3"</a>
<li> <b>Previous message:</b> <a href="0037.html">HgKim: "gcc compiler?"</a>
<li> <b>Maybe in reply to:</b> <a href="0035.html">Tom: "bash window banner"</a>
<!-- nextthread="start" -->
</ul>
<!-- body="start" -->
In article &lt;[email-masked]&gt;,<br>
Tom  &lt;[email-masked]&gt; wrote:<br>
<i>&gt;I notice that bash changes the window banner based on the last command</i><br>
<i>&gt;executed. I always configure my x windows to show hostname:pwd. It</i><br>
<i>&gt;allows me to leave my prompt very small as well as avoiding the nervous</i><br>
<i>&gt;pwd'ing I usually do with only a '$ ' for PS1.</i><br>
<i>&gt;</i><br>
<i>&gt;Is there any way to configure this in the current bash executable or </i><br>
<i>&gt;would it require a programming change?</i><br>
<p>
Sergey's newer cygwin.dll's have an option (suggested by me *blush*)<br>
where setting the environment variable CYGWIN_NOTITLE causes the title<br>
to remain unchanged.  You might want to check that out.<br>
<p>
Sergey's homepage is:<br>
<p>
		    <a href="http://www.lexa.ru/sos">http://www.lexa.ru/sos</a><br>
<pre>
-- 
<a href="http://www.bbc.com/">http://www.bbc.com/</a>	[email-masked]			"Strange how unreal
VMS=&gt;UNIX Solutions	Boston Business Computing	 the real can be."
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".
</pre>
<!-- body="end" -->
<p>
<ul>
<!-- next="start" -->
<li> <b>Next message:</b> <a href="0039.html">PACT Group: "Question about X11R6.3"</a>
<li> <b>Previous message:</b> <a href="0037.html">HgKim: "gcc compiler?"</a>
<li> <b>Maybe in reply to:</b> <a href="0035.html">Tom: "bash window banner"</a>
<!-- nextthread="start" -->
</ul>

--------------24774DEC9AF04FC2F23C653F--

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".